Subject: RFC 3926 citation problem

From: Alfred Hönes <[email-masked]>
Date: Wed, 10 Nov 2004 20:25:11 +0100 (MEZ)

Hello,

In the recently published RFC 3926 authored by you I found
a multi-facetted issue regarding the MIME document citations:

(1) On page 31, the Informative Reference "[21]" is inconsistent;
    author, title, and publication month / year match RFC 2047,
    *not* "RFC 1521" as stated there.

(2) The first use of reference "[21]" appears on page 27, in the
    10th line of the 2nd paragraph. There, "RFC 2047" _might_ be
    what you meant (together with [20] pointing to RFC 2048).

    Now, unfortunately, the current basic MIME specifications,
    RFC 2045..2049, do not contain a substantial general
    discussion of security issues.

    The RFC 2045 and RFC 2049 "Security Considerations" just
    refer to RFC 2046.
    But RFC 2046 for this purpose refers to two specific media
    type explanations / 'informal registrations' contained in
    the body of that memo, and to RFC 2048, which in turn
    does *NOT* contain a "Security Considerations" section.
(NB:
    - RFC 2048 just describes the registration PROCEDURES and
      states the Security Considerations *requirement* for any
      such registrations.
    - The formal ['skeleton'] Registrations for the basic MIME
      content types / subtypes from RFC 1521 - Appendix F -
      unfortunately have been lost on their [expected] way
      into RFC 2046. )

    RFC 2047, in particular, is an extreme:
      "Security issues are not discussed in this memo."
    (Section 10 on page 14).

    Therefore I suspect that "RFC 2047" might indeed NOT be
    what you wanted to refer to in loc. cit.  Perhaps the
    combination of RFC 2046 and RFC 2048 would have been
    the most appropriate selection for this citation.

(3) The second use of reference "[21]" in RFC 3926 appears
    2 lines further down in the same paragraph on page 27,
    explicitely referring to RFC 1521.
    The final statement there on RFC 1521,
                                        "... even though
        its protocol is obsoleted by RFC 2048 [20]."

    as well does not seem to be very appropriate for me:
    It might be disputable whether one should talk about a
    "protocol" when talking about message/document format
    descriptions, but more substantially, the major part
    of RFC 1521 has been superseded by RFC 2046 - see (2)
    above - while RFC 2048 only supersedes Appendix E of
    RFC 1521, which at the time of its publication already
    had been "updated" (i.e. obsoleted) by RFC 1590.

Therefore, it might be appropriate to replace the impacted
bad Informative Reference citation [21] on page 31 of RFC 3926
by two citations (e.g. [21]' and [23]), one for RFC 1521 and
one for RFC 2046, and to modify the abovementioned phrase.

It might be useful to take a step to resolve these issues
by submitting an errata note to the RFC Editor's RFC Errata
web page -- please comment.

Additionally, I've found a lot of (~25) minor textual issues
(typos, grammar, formatting) in RFC 3926 which are perhaps
not worth of similar publication.
But, if you are interested in these - e.g. with respect to a
future re-publication of FLUTE as a Standards Track document -,
please let me know; I'll prepare a decription on your request.

Best regards,
  Alfred Hönes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+